require 'yaml'

class LogWork
  class << self
    SendList = "send_list.yaml"
    
    def add_work(task_key, time_spent, comment, go_back_in_days = 0)
      list = send_list
      list <<  [task_key, time_spent, comment, go_back_in_days]
      save(list)
    end

    def send_all(target)
      sent, list = [], send_list
      list.each { |task| sent << task if target.add_work(task[0], task[1], task[2], task[3]) }
      save(list - sent)
    end

    def send_list() File.exists?(SendList) ? File.open(SendList, "r") { |file| YAML.load(file) } : [] end
    def save(list) File.open(SendList, "w") {|file| file.puts(list.to_yaml) } end
    def reset() File.delete(SendList) if File.exists?(SendList) end
  end
end
